Bug 6102 - "/sbin/installkernel --remove" may kill "other" sections in lilo.conf
: "/sbin/installkernel --remove" may kill "other" sections in lilo.conf
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/bootloader-utils)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-02-11 22:49 by
Modified: 2007-02-22 02:02 (History)


Attachments
Копия lilo.conf до удаления (486 bytes, text/plain)
2005-02-11 22:51, Eugene Vlasov
no flags Details
Копия после удаления (252 bytes, text/plain)
2005-02-11 22:53, Eugene Vlasov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-11 22:49:19
Уже писал в sisyphus@, фиксирую здесь, чтобы не было забыто.
При каждом обновлении ядра (точнее при удалении старого kernel-image) у меня из
lilo.conf пропадает запись, отвечающая за загрузку windows (секция other из
lilo.conf, отвечающая за windows у меня обычно оказывается рядом с удаляемой
секцией image).

eugene ~ $ rpm -q bootloader-utils
bootloader-utils-0.3.1-alt1
------- Comment #1 From 2005-02-11 22:51:45 -------
Created an attachment (id=735) [details]
Копия lilo.conf до удаления

Это копия lilo.conf до удаления kernel-image-std26-up-2.6.9-alt11
------- Comment #2 From 2005-02-11 22:53:35 -------
Created an attachment (id=736) [details]
Копия после удаления

Это копия lilo.conf после удаления kernel-image-std26-up-2.6.9-alt11.
------- Comment #3 From 2006-11-26 17:58:34 -------
Вот только непонятно, почему Severity "normal"... Я бы поставил если уж не
bloker, то critikal. В lilo.conf может всякое нужное быть, а если удалишь два
или больше старых kernel-image подряд, пропадает оно безвозвартно. Я на это уже
дважды нарывался. Удаляю редко, после первого раза давно забыл. Надо хоть
lilo.conf.old не удалять, а делать просто дополнительный бакап. В качестве
временного work arround.
------- Comment #4 From 2006-11-26 18:04:06 -------
Да, и Summary надо переписать, оно совершенно картину не отражает. При --remove
и должны игнорироваться секчии "other", а они, как раз, не игнорируются, а
сносятся. Summary кто-то может поправить, или надо багу перезаводить ?
------- Comment #5 From 2006-11-26 19:44:38 -------
Так лучше?

P.S. 2asy:
Вам при вступлениий в тим должны были завести в том числе и учетную запись в
bugzilla, с правами на редактирование любых багов. Я тоже долгое время
пользовался самостоятельно заведенным логином на @altlinux.ru и ругался на
отсутствие прав, пока не попробовал зайти с высланным мне логином на @altlinux.org.
------- Comment #6 From 2007-02-22 02:02:40 -------
At last this has been fixed in my git development tree.
The fix is scheduled for 0.3.2 release.